Package org.gitana.platform.client.job

# Class JobImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.cluster.AbstractClusterDocumentImpl
org.gitana.platform.client.job.JobImpl

All Implemented Interfaces:
  `Serializable`, `ClusterDocument`, `Document`, `Job`, `Referenceable`, `TitleDescription`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

Direct Known Subclasses:
  `CopyJob`, `TransferExportJob`, `TransferImportJob`

public class JobImpl extends AbstractClusterDocumentImpl implements Job

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.job.Job

`FIELD_ATTEMPTS, FIELD_CURRENT_SERVER, FIELD_CURRENT_SERVER_TIMESTAMP, FIELD_CURRENT_THREAD, FIELD_LOG_ENTRIES, FIELD_PAUSED, FIELD_PAUSED_BY, FIELD_PAUSED_TIMESTAMP, FIELD_PLATFORM_ID, FIELD_PRIORITY, FIELD_RUN_AS_PRINCIPAL_DOMAIN_ID, FIELD_RUN_AS_PRINCIPAL_ID, FIELD_SCHEDULE_START_MS, FIELD_STARTED, FIELD_STARTED_TIMESTAMP, FIELD_STATE, FIELD_STOPPED, FIELD_STOPPED_TIMESTAMP, FIELD_SUBMITTED_BY, FIELD_SUBMITTED_TIMESTAMP, FIELD_TYPE`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`JobImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
`int`
`getAttempts()`
`String`
`getCurrentServerId()`
`long`
`getCurrentServerTimestamp()`
`String`
`getCurrentThreadId()`
`boolean`
`getError()`
`List<JobLogEntry>`
`getLogEntries()`
`boolean`
`getPaused()`
`String`
`getPausedBy()`
`Calendar`
`getPausedTime()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getPausedTimestamp()`
`String`
`getPlatformId()`
`int`
`getPriority()`
`protected String`
`getResourceUri()`
`String`
`getRunAsPrincipalDomainId()`
`String`
`getRunAsPrincipalId()`
`long`
`getScheduleStart()`
`boolean`
`getStarted()`
`Calendar`
`getStartedTime()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getStartedTimestamp()`
`org.gitana.platform.services.job.JobState`
`getState()`
`boolean`
`getStopped()`
`Calendar`
`getStoppedTime()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getStoppedTimestamp()`
`String`
`getSubmittedBy()`
`Calendar`
`getSubmittedTime()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSubmittedTimestamp()`
`boolean`
`getSuccess()`
`String`
`getType()`
`String`
`getTypeId()`
`void`
`setAttempts(int attempts)`
`void`
`setCurrentServerId(String currentMemberId)`
`void`
`setCurrentServerTimestamp(long currentServerTimestamp)`
`void`
`setCurrentThreadId(String currentThreadId)`
`void`
`setPlatformId(String platformId)`
`void`
`setPriority(int priority)`
`void`
`setScheduleStart(long ms)`
`void`
`setState(org.gitana.platform.services.job.JobState state)`
`void`
`waitForCompletion()`

### Methods inherited from class org.gitana.platform.client.cluster.AbstractClusterDocumentImpl

`getCluster, getClusterId, getDriver, getFactory, getRemote, ref`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDocument

`getCluster, getClusterId`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### JobImpl

public JobImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

protected String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractClusterDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### getType

public String getType()

Specified by:
  `getType` in interface `Job`

### getRunAsPrincipalId

public String getRunAsPrincipalId()

Specified by:
  `getRunAsPrincipalId` in interface `Job`

### getRunAsPrincipalDomainId

public String getRunAsPrincipalDomainId()

Specified by:
  `getRunAsPrincipalDomainId` in interface `Job`

### getStartedTimestamp

public com.fasterxml.jackson.databind.node.ObjectNode getStartedTimestamp()

Specified by:
  `getStartedTimestamp` in interface `Job`

### getStoppedTimestamp

public com.fasterxml.jackson.databind.node.ObjectNode getStoppedTimestamp()

Specified by:
  `getStoppedTimestamp` in interface `Job`

### getStartedTime

public Calendar getStartedTime()

Specified by:
  `getStartedTime` in interface `Job`

### getStopped

public boolean getStopped()

Specified by:
  `getStopped` in interface `Job`

### getStoppedTime

public Calendar getStoppedTime()

Specified by:
  `getStoppedTime` in interface `Job`

### getPaused

public boolean getPaused()

Specified by:
  `getPaused` in interface `Job`

### getPausedBy

public String getPausedBy()

Specified by:
  `getPausedBy` in interface `Job`

### getPausedTimestamp

public com.fasterxml.jackson.databind.node.ObjectNode getPausedTimestamp()

Specified by:
  `getPausedTimestamp` in interface `Job`

### getPausedTime

public Calendar getPausedTime()

Specified by:
  `getPausedTime` in interface `Job`

### getSubmittedBy

public String getSubmittedBy()

Specified by:
  `getSubmittedBy` in interface `Job`

### getSubmittedTimestamp

public com.fasterxml.jackson.databind.node.ObjectNode getSubmittedTimestamp()

Specified by:
  `getSubmittedTimestamp` in interface `Job`

### getSubmittedTime

public Calendar getSubmittedTime()

Specified by:
  `getSubmittedTime` in interface `Job`

### getStarted

public boolean getStarted()

Specified by:
  `getStarted` in interface `Job`

### getLogEntries

public List<JobLogEntry> getLogEntries()

Specified by:
  `getLogEntries` in interface `Job`

### getPriority

public int getPriority()

Specified by:
  `getPriority` in interface `Job`

### setPriority

public void setPriority(int priority)

Specified by:
  `setPriority` in interface `Job`

### setCurrentThreadId

public void setCurrentThreadId(String currentThreadId)

Specified by:
  `setCurrentThreadId` in interface `Job`

### getCurrentThreadId

public String getCurrentThreadId()

Specified by:
  `getCurrentThreadId` in interface `Job`

### setCurrentServerId

public void setCurrentServerId(String currentMemberId)

Specified by:
  `setCurrentServerId` in interface `Job`

### getCurrentServerId

public String getCurrentServerId()

Specified by:
  `getCurrentServerId` in interface `Job`

### setCurrentServerTimestamp

public void setCurrentServerTimestamp(long currentServerTimestamp)

Specified by:
  `setCurrentServerTimestamp` in interface `Job`

### getCurrentServerTimestamp

public long getCurrentServerTimestamp()

Specified by:
  `getCurrentServerTimestamp` in interface `Job`

### setScheduleStart

public void setScheduleStart(long ms)

Specified by:
  `setScheduleStart` in interface `Job`

### getScheduleStart

public long getScheduleStart()

Specified by:
  `getScheduleStart` in interface `Job`

### getAttempts

public int getAttempts()

Specified by:
  `getAttempts` in interface `Job`

### setAttempts

public void setAttempts(int attempts)

Specified by:
  `setAttempts` in interface `Job`

### getPlatformId

public String getPlatformId()

Specified by:
  `getPlatformId` in interface `Job`

### setPlatformId

public void setPlatformId(String platformId)

Specified by:
  `setPlatformId` in interface `Job`

### getState

public org.gitana.platform.services.job.JobState getState()

Specified by:
  `getState` in interface `Job`

### setState

public void setState(org.gitana.platform.services.job.JobState state)

Specified by:
  `setState` in interface `Job`

### getSuccess

public boolean getSuccess()

Specified by:
  `getSuccess` in interface `Job`

### getError

public boolean getError()

Specified by:
  `getError` in interface `Job`

### waitForCompletion

public void waitForCompletion()

Specified by:
  `waitForCompletion` in interface `Job`